
### Important: 
## CoNekT moved to [https://github.com/sepro/CoNekT](https://github.com/sepro/CoNekT)

We are continuing the development of CoNekT on github.com. By moving to the public version of GitHub users are now able to contribute directly by opening issues and submitting pull requests. Please go to [https://github.com/sepro/CoNekT](https://github.com/sepro/CoNekT) for the latest updates on CoNekT. 

The version hosted here matches the manuscript **CoNekT: an open-source framework for comparative genomic and transcriptomic network analyses** (Proost and Mutwil, NAR 2018).

# *CoNekT:* Coexpression Network Toolkit

![conekt logo](docs/images/icon-144x144.png "Conekt Logo") CoNekT, the **Co**expression **Net**work **T**oolkit, 
documentation and code. 

What is CoNekT ?
----------------

CoNekT is an online platform that allows users to browse expression profiles, study expression specificty, co-expression
networks and more across different species. A public version including seven plant species which includes thousands of 
publicly available RNASeq samples (from the [SRA](https://www.ncbi.nlm.nih.gov/sra)) is available 
[here](http://conekt.mpimp-golm.mpg.de/pub/).

Here you can find **tutorials** how to use the public version along with the **source-code** and build instructions that 
allow you to **host your own instance** with other species or in-house data.

![features_overview](./docs/images/feature_overview.png)

Tutorials
---------

  * [The Basics](docs/tutorials/001_basics.md)
  * [Expression profiles, heatmaps and specificity](docs/tutorials/002_expression_profiles.md)
  * [Gene Families and Phylogenetic trees](docs/tutorials/003_gene_families_trees.md)
  * [Comparing specificity](docs/tutorials/004_compare_specificity.md)
  * [Coexpression Networks and Clusters](docs/tutorials/005_coexpression_networks_clusters.md)
  
  
Anything missing ? Further questions ? Don't hesitate to [contact](mailto:sebastian.proost@gmail.com) us.

Setting up CoNekT
-----------------
Below are the instructions to set up and host your own CoNekT instance.

  * [Linux Installation instructions](docs/install_linux.md)
  * [Windows Installation instructions](docs/install_windows.md)
  * [Run website](docs/run_website.md)
  * [Build CoNekT](docs/building_conekt.md): Upload your data to the platform using the Admin interface
  
  
Optional steps (recommended for production environments)
  * [Connecting with MySQL/MariaDB](docs/connect_mysql.md)
  * [Setting up CoNekT with apache and mod_wsgi](docs/apache_wsgi.md)



Acknowledgements
----------------

CoNekT is based upon many open-source projects, check the full list [here](docs/acknowledgements.md). This work is 
supported by [ERA-CAPS](http://www.eracaps.org/) though the [EVOREPRO](http://www.evorepro.org/) project. 
The authors would like to thank Andreas Donath for technical support and helpful discussions.


Contact
-------

  * [Marek Mutwil](mailto:mutwil@mpmpi-golm.mpg.de) ( mutwil@mpmpi-golm.mpg.de )
  * [Sebastian Proost](mailto:sebastian.proost@gmail.com) ( sebastian.proost@gmail.com )

