# Tutorial: Gene families and Phylogenetic Trees

Homologous genes (genes derived from a common ancestor) are usually group into gene families. Orthologs, genes derived
from a common ancestor through speciation, are similarly grouped into OrthoGroups. CoNekT supports 
[tribeMCL](https://www.ncbi.nlm.nih.gov/pubmed/11917018) and [OrthoFinder](https://github.com/davidemms/OrthoFinder) for 
Homologous groups and OrthoGroups respectively.

## Gene Families

![gene family](images/gene_family.png "Gene family") 

Sequence pages link to the gene family a sequence belongs to, on the gene family page you can find a distribution 
(shown above) depicting how many members for each species there are. Furthermore you can find associated domains and
functional annotation, a suggested function (based on the function of members)... 

## Phylogenetic Trees

Phylogenetic Trees generated by [OrthoFinder](https://github.com/davidemms/OrthoFinder) can be imported into CoNekT. These
can be accessed from gene pages for sequences included in the tree or the corresponding gene family page. 

A unique feature of CoNekT is that conditions can be manually curated per species and expression levels of genes in 
comparable tissues/organs can be added to the phylogenetic tree. This allows for changes in expression patterns between
duplicated genes or after speciation events to be visualized. 

![phylogenetic tree](images/phylo_tree_example.png "Phylogenetic tree example") 

In the example above various genes related with cellulose synthase (an important component of plant cell walls) is shown.
Here it is immediately clear that some groups of cellulose syntases are specific for leaves while others play a role in 
reproductive structure. 

Furthermore, links to view this information in the heatmap viewer are present top-right of the phylogenetic tree. From
the heatmap expression levels can also be exported.